in scala.xml
object XML

`object` XML
  `extends` java.lang.Object
  `with` scala.ScalaObject

  The object `XML` provides constants, and functions to load and save XML elements. Use this when data binding is not desired, i.e. when XML is handled using `Symbol` nodes.

Author:
  Burak Emir
Version:
  1.0, 25/04/2005

Constructor Summary
| `def` this

Val Summary
| `val` lang : java.lang.String
| `val` namespace : java.lang.String
| `val` preserve : java.lang.String
| `val` space : java.lang.String
| `val` xml : java.lang.String
| `val` xmlns : java.lang.String

Def Summary
`final` | `def` load (is: java.io.InputStream) : scala.xml.Elem loads XML from given InputStream, using XML parser in JDK.
`final` | `def` load (reader: java.io.Reader) : scala.xml.Elem loads XML from given Reader, using XML parser in JDK.
`final` | `def` load (source: org.xml.sax.InputSource) : scala.xml.Elem loads XML from a given input source, using XML parser in JDK.
`final` | `def` load (sysID: java.lang.String) : scala.xml.Elem loads XML from given sysID, using XML parser in JDK.
`final` | `def` loadFile (file: java.io.File) : scala.xml.Elem loads XML from given file, using XML parser in JDK.
`final` | `def` loadFile (fileDesc: java.io.FileDescriptor) : scala.xml.Elem loads XML from given file descriptor, using XML parser in JDK.
`final` | `def` loadFile (fileName: java.lang.String) : scala.xml.Elem loads XML from given file, using XML parser in JDK.
`final` | `def` loadString (string: java.lang.String) : scala.xml.Elem loads XML from a string, using XML parser in JDK.
`final` | `def` save (filename: java.lang.String, node: scala.xml.Node) : scala.Unit Saves XML to filename with encoding ISO-8859-1 without xml-decl without `doctype`.
`final` | `def` save (filename: java.lang.String, node: scala.xml.Node, enc: java.lang.String) : scala.Unit saves XML to filename with given encoding, without xml-decl without `doctype`.
`final` | `def` saveFull (filename: java.lang.String, node: scala.xml.Node, enc: java.lang.String, xmlDecl: scala.Boolean, doctype: scala.xml.dtd.DocType) : scala.Unit Saves a node to a file with given filename using given encoding optionally with xmldecl and doctype declaration.
`final` | `def` saveFull (filename: java.lang.String, node: scala.xml.Node, xmlDecl: scala.Boolean, doctype: scala.xml.dtd.DocType) : scala.Unit saves a node to a file with given filename using encoding iso-8859-1 optionally with xmldecl and doctype declaration.
`final` | `def` write (w: java.io.Writer, node: scala.xml.Node, enc: java.lang.String, xmlDecl: scala.Boolean, doctype: scala.xml.dtd.DocType) : scala.Unit Writes the given node using writer, optionally with xml decl and doctype. It's the caller's responsibility to close the writer.

Constructor Detail

`def` this

Val Detail

`val` lang : java.lang.String

`val` namespace : java.lang.String

`val` preserve : java.lang.String

`val` space : java.lang.String

`val` xml : java.lang.String

`val` xmlns : java.lang.String

Def Detail

`final def` load (is: java.io.InputStream): scala.xml.Elem

  loads XML from given InputStream, using XML parser in JDK.

`final def` load (reader: java.io.Reader): scala.xml.Elem

  loads XML from given Reader, using XML parser in JDK.

`final def` load (source: org.xml.sax.InputSource): scala.xml.Elem

  loads XML from a given input source, using XML parser in JDK.

Parameters:
  `source -` ...
Returns:
  ...

`final def` load (sysID: java.lang.String): scala.xml.Elem

  loads XML from given sysID, using XML parser in JDK.

`final def` loadFile (file: java.io.File): scala.xml.Elem

  loads XML from given file, using XML parser in JDK.

`final def` loadFile (fileDesc: java.io.FileDescriptor): scala.xml.Elem

  loads XML from given file descriptor, using XML parser in JDK.

Parameters:
  `fileDesc -` ...
Returns:
  ...

`final def` loadFile (fileName: java.lang.String): scala.xml.Elem

  loads XML from given file, using XML parser in JDK.

`final def` loadString (string: java.lang.String): scala.xml.Elem

  loads XML from a string, using XML parser in JDK.

`final def` save (filename: java.lang.String, node: scala.xml.Node): scala.Unit

  Saves XML to filename with encoding ISO-8859-1 without xml-decl without `doctype`.

Parameters:
  `filename -` ...
Parameters:
  `node -` ...

`final def` save (filename: java.lang.String, node: scala.xml.Node, enc: java.lang.String): scala.Unit

  saves XML to filename with given encoding, without xml-decl without `doctype`.

Parameters:
  `filename -` ...
Parameters:
  `node -` ...
Parameters:
  `enc -` ...

`final def` saveFull (filename: java.lang.String, node: scala.xml.Node, enc: java.lang.String, xmlDecl: scala.Boolean, doctype: scala.xml.dtd.DocType): scala.Unit

  Saves a node to a file with given filename using given encoding optionally with xmldecl and doctype declaration.

Parameters:
  `filename -` the filename
Parameters:
  `node -` the xml node we want to write
Parameters:
  `enc -` encoding to use
Parameters:
  `xmlDecl -` if true, write xml declaration
Parameters:
  `doctype -` if not null, write doctype declaration

`final def` saveFull (filename: java.lang.String, node: scala.xml.Node, xmlDecl: scala.Boolean, doctype: scala.xml.dtd.DocType): scala.Unit

  saves a node to a file with given filename using encoding iso-8859-1 optionally with xmldecl and doctype declaration.

Parameters:
  `filename -` the filename
Parameters:
  `node -` the xml node we want to write
Parameters:
  `xmlDecl -` if true, write xml declaration
Parameters:
  `doctype -` if not null, write doctype declaration

`final def` write (w: java.io.Writer, node: scala.xml.Node, enc: java.lang.String, xmlDecl: scala.Boolean, doctype: scala.xml.dtd.DocType): scala.Unit

  Writes the given node using writer, optionally with xml decl and doctype. It's the caller's responsibility to close the writer.

Parameters:
  `w -` the writer
Parameters:
  `node -` the xml node we want to write
Parameters:
  `enc -` the string to be used in `xmlDecl`
Parameters:
  `xmlDecl -` if true, write xml declaration
Parameters:
  `doctype -` if not null, write doctype declaration